Debian Bug report logs - #562757
nfs-common: rpc.statd is unable to register itself with portmap

version graph

Package: nfs-common; Maintainer for nfs-common is Debian kernel team <debian-kernel@lists.debian.org>; Source for nfs-common is src:nfs-utils.

Reported by: Waba <waba@waba.be>

Date: Sun, 27 Dec 2009 18:45:01 UTC

Severity: grave

Tags: patch

Found in version nfs-utils/1:1.2.1-1

Fixed in version nfs-utils/1:1.2.1-1.1

Done: Alexander Wirt <formorer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Sun, 27 Dec 2009 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Waba <waba@waba.be>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sun, 27 Dec 2009 18:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Waba <waba@waba.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nfs-common: rpc.statd is unable to register itself with portmap
Date: Sun, 27 Dec 2009 19:44:21 +0100
Package: nfs-common
Version: 1:1.2.1-1
Severity: grave
Justification: renders package unusable

This new version of rpc.statd fails to start with:

Dec 27 19:25:36 waba rpc.statd[16315]: Version 1.2.1 Starting
Dec 27 19:25:36 waba rpc.statd[16315]: Flags: 
Dec 27 19:25:36 waba sm-notify[16316]: Already notifying clients; Exiting!
Dec 27 19:25:36 waba rpc.statd[16315]: unable to register (statd, 1, udp).

Upon closer examination (strace), rpc.statd is trying to connect to
[::1]:111 while portmap is listening on IPv4 only. Replacing
portmap by rpcbind might fix the problem, but I have not tried it.

Rolling back to version 1:1.2.0-4.1 brings NFS back.

This bug is probably a duplicate of #562737, but the reporter emphasized
on the NEED_STATD variable so I figured that we were focusing on
different issues. Merge as needed.

TIA,
-Thomas.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=fr_BE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nfs-common depends on:
ii  adduser                  3.112           add and remove users and groups
ii  initscripts              2.87dsf-8       scripts for initializing and shutt
ii  libc6                    2.10.2-2        GNU C Library: Shared libraries
ii  libcomerr2               1.41.9-1        common error description library
ii  libevent-1.4-2           1.4.13-stable-1 An asynchronous event notification
ii  libgssapi-krb5-2         1.7+dfsg-3      MIT Kerberos runtime libraries - k
ii  libgssglue1              0.1-4           mechanism-switch gssapi library
ii  libk5crypto3             1.7+dfsg-3      MIT Kerberos runtime libraries - C
ii  libkrb5-3                1.7+dfsg-3      MIT Kerberos runtime libraries
ii  libnfsidmap2             0.23-2          An nfs idmapping library
ii  libtirpc1                0.2.0-2         transport-independent RPC library
ii  libwrap0                 7.6.q-18        Wietse Venema's TCP wrappers libra
ii  lsb-base                 3.2-23          Linux Standard Base 3.2 init scrip
ii  netbase                  4.40            Basic TCP/IP networking system
ii  portmap                  6.0.0-1         RPC port mapper
ii  ucf                      3.0025          Update Configuration File: preserv

nfs-common recommends no packages.

nfs-common suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Mon, 28 Dec 2009 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 28 Dec 2009 18:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 562757@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Waba <waba@waba.be>
Cc: 562757@bugs.debian.org
Subject: Re: Bug#562757: nfs-common: rpc.statd is unable to register itself with portmap
Date: Mon, 28 Dec 2009 19:12:42 +0100
Waba <waba@waba.be> wrote:

Hi,

> Upon closer examination (strace), rpc.statd is trying to connect to
> [::1]:111 while portmap is listening on IPv4 only. Replacing
> portmap by rpcbind might fix the problem, but I have not tried it.

rpcbind, you mean the package that can't be installed because it has a
file conflict with libc-bin? RC bug report on Sep 1st 2009, still
unfixed.

And now that, which seriously leads me wondering about the level of
testing that went into this upload. 0 is my guess. Testing on a
non-standard installation doesn't count, of course (like a system with
rpcbind installed thanks to --force-overwrite).

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Tue, 29 Dec 2009 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to steven@nchc.org.tw:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 29 Dec 2009 02:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 562757@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: 562757@bugs.debian.org
Subject: Bug#562757: confirmed in my Sid system.
Date: Tue, 29 Dec 2009 09:52:52 +0800
Hi,
I can reproduce this nfs-common problem in my Sid system. Tried to 
install rpcbind, but it conflicts with libc-bin:
dpkg: error processing /var/cache/apt/archives/rpcbind_0.2.0-1_i386.deb 
(--unpack):
 trying to overwrite '/usr/share/man/man8/rpcinfo.8.gz', which is also 
in package libc-bin 0:2.10.2-2
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/rpcbind_0.2.0-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Steven.

-- 
Steven Shiau <steven _at_ nchc org tw> <steven _at_ stevenshiau org>
National Center for High-performance Computing, Taiwan.
http://www.nchc.org.tw
Public Key Server PGP Key ID: 1024D/9762755A
Fingerprint: A2A1 08B7 C22C 3D06 34DB  F4BC 08B3 E3D7 9762 755A




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Tue, 29 Dec 2009 11:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oren Held <oren@held.org.il>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 29 Dec 2009 11:54:12 GMT) Full text and rfc822 format available.

Message #20 received at 562757@bugs.debian.org (full text, mbox):

From: Oren Held <oren@held.org.il>
To: 562757@bugs.debian.org
Subject: Dependency change needed
Date: Tue, 29 Dec 2009 13:51:52 +0200
Currently (1.2.1-1), nfs-common depends on "portmap | rpcbind"; it should be 
changed to rpcbind only.







Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Tue, 29 Dec 2009 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oren Held <oren@held.org.il>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 29 Dec 2009 14:48:03 GMT) Full text and rfc822 format available.

Message #25 received at 562757@bugs.debian.org (full text, mbox):

From: Oren Held <oren@held.org.il>
To: 562757@bugs.debian.org
Subject: rpcinfo bug was fixed
Date: Tue, 29 Dec 2009 16:44:52 +0200
See 544567.
rpcinfo-0.2.0-2 fixes the libc conflict thing.

Yet, THIS bug is caused because the nfs-common package does not require 
rpcbind.


Oren




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Tue, 29 Dec 2009 14:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oren Held <oren@held.org.il>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 29 Dec 2009 14:51:06 GMT) Full text and rfc822 format available.

Message #30 received at 562757@bugs.debian.org (full text, mbox):

From: Oren Held <oren@held.org.il>
To: 562757@bugs.debian.org
Subject: Re: rpcinfo bug was fixed
Date: Tue, 29 Dec 2009 16:48:12 +0200
Sorry, in my previous comment s/rpcinfo/rpcbind/

On Tuesday 29 December 2009 16:44:52 Oren Held wrote:
> See 544567.
> rpcinfo-0.2.0-2 fixes the libc conflict thing.
> 
> Yet, THIS bug is caused because the nfs-common package does not require
> rpcbind.
> 
> 
> Oren
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Tue, 29 Dec 2009 17:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony Houghton <h@realh.co.uk>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 29 Dec 2009 17:27:09 GMT) Full text and rfc822 format available.

Message #35 received at 562757@bugs.debian.org (full text, mbox):

From: Tony Houghton <h@realh.co.uk>
To: 562757@bugs.debian.org
Subject: rpcbind does not fix it
Date: Tue, 29 Dec 2009 17:24:29 +0000
I've got the same problem. Installing rpcbind and removing portmap has
not fixed it.

-- 
TH * http://www.realh.co.uk




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Wed, 30 Dec 2009 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to steven@nchc.org.tw:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 30 Dec 2009 01:18:03 GMT) Full text and rfc822 format available.

Message #40 received at 562757@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: Tony Houghton <h@realh.co.uk>, 562757@bugs.debian.org
Subject: Re: Bug#562757: rpcbind does not fix it
Date: Wed, 30 Dec 2009 09:05:31 +0800
Confirmed. Even rpcinfo-0.2.0-2 installed, this problem still exists.

Steven.

Tony Houghton wrote:
> I've got the same problem. Installing rpcbind and removing portmap has
> not fixed it.
> 

-- 
Steven Shiau <steven _at_ nchc org tw> <steven _at_ stevenshiau org>
National Center for High-performance Computing, Taiwan.
http://www.nchc.org.tw
Public Key Server PGP Key ID: 1024D/9762755A
Fingerprint: A2A1 08B7 C22C 3D06 34DB  F4BC 08B3 E3D7 9762 755A




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Wed, 30 Dec 2009 17:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oren Held <oren@held.org.il>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 30 Dec 2009 17:21:07 GMT) Full text and rfc822 format available.

Message #45 received at 562757@bugs.debian.org (full text, mbox):

From: Oren Held <oren@held.org.il>
To: 562757@bugs.debian.org
Subject: It seems that rpcbind is not started by default
Date: Wed, 30 Dec 2009 19:19:19 +0200
The rpcbind package doesn't even contain an init script, weird.

Steven, Tony: when you run (as root) rpcbind, does it fix it?
Running rpcbindinfo should state if rpcbind is running or not.




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Wed, 30 Dec 2009 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Łukasz Oleś <lukaszoles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 30 Dec 2009 20:33:03 GMT) Full text and rfc822 format available.

Message #50 received at 562757@bugs.debian.org (full text, mbox):

From: Łukasz Oleś <lukaszoles@gmail.com>
To: 562757@bugs.debian.org
Subject: rcpbind fixing it
Date: Wed, 30 Dec 2009 21:29:32 +0100
Oren Held wrote:
> The rpcbind package doesn't even contain an init script, weird.

> Steven, Tony: when you run (as root) rpcbind, does it fix it?
> Running rpcbindinfo should state if rpcbind is running or not.

I have same problem.
Running(manually) rcpbind fixed it.




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Thu, 31 Dec 2009 00:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to steven@nchc.org.tw:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 31 Dec 2009 00:42:06 GMT) Full text and rfc822 format available.

Message #55 received at 562757@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: Oren Held <oren@held.org.il>, 562757@bugs.debian.org
Subject: Re: Bug#562757: It seems that rpcbind is not started by default
Date: Thu, 31 Dec 2009 08:38:54 +0800
Oren,
Yes, with rpcbind started manually as a service, the nfs-common service 
can be started successfully.
BTW, how about portmap? Both portmap and rpcbind can run as a service at 
the same time without any issue?

On 2009/12/31 上午 01:19, Oren Held wrote:
> The rpcbind package doesn't even contain an init script, weird.
>
> Steven, Tony: when you run (as root) rpcbind, does it fix it?
> Running rpcbindinfo should state if rpcbind is running or not.
>
>
>

-- 
Steven Shiau <steven _at_ nchc org tw> <steven _at_ stevenshiau org>
National Center for High-performance Computing, Taiwan.
http://www.nchc.org.tw
Public Key Server PGP Key ID: 1024D/9762755A
Fingerprint: A2A1 08B7 C22C 3D06 34DB  F4BC 08B3 E3D7 9762 755A




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Thu, 31 Dec 2009 03:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leandro Lucarella <luca@llucax.com.ar>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 31 Dec 2009 03:57:03 GMT) Full text and rfc822 format available.

Message #60 received at 562757@bugs.debian.org (full text, mbox):

From: Leandro Lucarella <luca@llucax.com.ar>
To: Debian Bug Tracking System <562757@bugs.debian.org>
Subject: Re: rpc.statd is unable to register itself with portmap
Date: Thu, 31 Dec 2009 00:08:00 -0300
Package: nfs-common
Version: 1:1.2.1-1
Severity: normal


Same here, running rpcbind manually (and removing portmap) fixes the
problem. What is the recommended fix for this? Obviously running rpcbind
manually isn't an option :). Should I create my own init script or it will
be created in the rpcbind package?

Thanks.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (99, 'experimental'), (50, 'testing'), (9, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.2
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nfs-common depends on:
ii  adduser                  3.112           add and remove users and groups
ii  initscripts              2.87dsf-8       scripts for initializing and shutt
ii  libc6                    2.10.2-2        GNU C Library: Shared libraries
ii  libcomerr2               1.41.9-1        common error description library
ii  libevent-1.4-2           1.4.13-stable-1 An asynchronous event notification
ii  libgssapi-krb5-2         1.7+dfsg-4      MIT Kerberos runtime libraries - k
ii  libgssglue1              0.1-4           mechanism-switch gssapi library
ii  libk5crypto3             1.7+dfsg-4      MIT Kerberos runtime libraries - C
ii  libkrb5-3                1.7+dfsg-4      MIT Kerberos runtime libraries
ii  libnfsidmap2             0.23-2          An nfs idmapping library
ii  libtirpc1                0.2.0-2         transport-independent RPC library
ii  libwrap0                 7.6.q-18        Wietse Venema's TCP wrappers libra
ii  lsb-base                 3.2-23          Linux Standard Base 3.2 init scrip
ii  netbase                  4.40            Basic TCP/IP networking system
ii  rpcbind                  0.2.0-2         converts RPC program numbers into 
ii  ucf                      3.0025          Update Configuration File: preserv

nfs-common recommends no packages.

nfs-common suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Thu, 31 Dec 2009 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Rasmussen <mir@datanom.net>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 31 Dec 2009 22:24:03 GMT) Full text and rfc822 format available.

Message #65 received at 562757@bugs.debian.org (full text, mbox):

From: Michael Rasmussen <mir@datanom.net>
To: 562757@bugs.debian.org
Subject: statd and idmapd: dependency breaks NFSv4
Date: Thu, 31 Dec 2009 23:12:46 +0100
[Message part 1 (text/plain, inline)]
This bug also severely breaks NFSv4 ability to map user id on NFS
mounted devices since idmapd is not started unless nfs-common starts
which it wont given that users have the default settings
in /etc/default/nfs-common
because of a flaky detection in the init script whether statd is needed
or not. For reasons unknown to me the init script insists on starting
statd as long as have NFS mounts listed in fstab even if the
file /etc/default/nfs-common clearly state that statd is not needed for
NFSv4.

The way to solve this bug is to manually change /etc/default/nfs-common
to this:
# Do you want to start the statd daemon? It is not needed for NFSv4.
NEED_STATD=no

-- 
Hilsen/Regards
Michael Rasmussen

Get my public GnuPG keys:
michael <at> rasmussen <dot> cc
http://pgp.mit.edu:11371/pks/lookup?op=get&search=0xD3C9A00E
mir <at> datanom <dot> net
http://pgp.mit.edu:11371/pks/lookup?op=get&search=0xE501F51C
mir <at> miras <dot> org
http://pgp.mit.edu:11371/pks/lookup?op=get&search=0xE3E80917
--------------------------------------------------------------
Don't over-comment.
            - The Elements of Programming Style (Kernighan & Plaugher)
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Fri, 01 Jan 2010 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oren Held <oren@held.org.il>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 01 Jan 2010 11:36:03 GMT) Full text and rfc822 format available.

Message #70 received at 562757@bugs.debian.org (full text, mbox):

From: Oren Held <oren@held.org.il>
To: 562757@bugs.debian.org
Subject: Summary and suggestions to a solution
Date: Fri, 01 Jan 2010 13:33:01 +0200
I'll try to sum up the problems and solutions reported so far. I'll stress 
that these problems currently render NFS (v2, v3, v4) non-functioning on 
latest Debian sid.

1. [nfs-common pkg] needs rpcbind-ONLY dependency: we have to remove portmap 
dependency. (#562757)
2. [rpcbind pkg] rpcbind lacks an init script (#563053)
  + I've already suggested an init script in that bug page.
  + upon postinst/prerm, run rpcbind start/stop, respectively.
  + also, probably rpcbind package should conflict with portmap.


=======
Michael: to me it seems that NEED_STATD is "YES" not due to some smart fstab 
autodetection, but simply because default is YES. (/etc/init.d/nfs-common:75). 
As far as I understand it's not easy to autodetect whether the sysadmin wants 
NFSv4 only or v3 or both, so I think that it's best to leave the current 
behavior as is, considering that NFSv3 is still widely used. It makes sense 
that a sysadmin should take an extra effort to disable NFSv3 and its daemons, 
like you did in order to avoid this bug.




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Sun, 03 Jan 2010 18:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sun, 03 Jan 2010 18:51:07 GMT) Full text and rfc822 format available.

Message #75 received at 562757@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@anarcat.ath.cx>
To: Debian Bug Tracking System <562757@bugs.debian.org>
Subject: nfs-common: isn't the issue with portmap?
Date: Sun, 03 Jan 2010 13:41:08 -0500
Package: nfs-common
Version: 1:1.2.1-1
Severity: normal

Hum. Isn't this issue a question of portmap/statd interoperability?

It was duly noted here that the issue is that statd now tries to
connect to portmap through IPv6 instead of behaving normally. That
seems to be the core issue for me here and switching to rpcbind is
just a crude workaround.

I see 2 issues on the statd side:

 1. it connects to ::1 regardless of the -n setting
 2. it connects to ::1 without resorting to 127.0.0.1

Furthermore, it seems here that just disabling statd in the startup
script is *not* a sufficient workaround. One also needs to disable
locking on the filesystem, using -o nolock.

So I'll summarize the options here:

 Fix A: switch to rpcbind, which involves:

  1. [nfs-common pkg] needs rpcbind-ONLY dependency: we have to remove portmap 
dependency. (#562757)
  2. [rpcbind pkg] rpcbind lacks an init script (#563053)

 Fix B: fix statd to talk properly to portmap, which involves:

  1. respecting the -n setting or;
  2. also try 127.0.0.1 instead of just trying IPv6

There are similarly bound workarounds:

 Workaround A: make rpcbind work manually (I am not sure how to do that)

 Workaround B: disable rpc.statd:

  1. NEEDS_STATD=no in /etc/default/nfs-common
  2. use -o lock on NFSv3 mounts

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
Locale: LANG=fr_CA.UTF-8, LC_CTYPE=fr_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nfs-common depends on:
ii  adduser                  3.112           add and remove users and groups
ii  initscripts              2.87dsf-8       scripts for initializing and shutt
ii  libc6                    2.10.2-3        Embedded GNU C Library: Shared lib
ii  libcomerr2               1.41.9-1        common error description library
ii  libevent-1.4-2           1.4.13-stable-1 An asynchronous event notification
ii  libgssapi-krb5-2         1.7+dfsg-4      MIT Kerberos runtime libraries - k
ii  libgssglue1              0.1-4           mechanism-switch gssapi library
ii  libk5crypto3             1.7+dfsg-4      MIT Kerberos runtime libraries - C
ii  libkrb5-3                1.7+dfsg-4      MIT Kerberos runtime libraries
ii  libnfsidmap2             0.23-2          An nfs idmapping library
ii  libtirpc1                0.2.0-2         transport-independent RPC library
ii  libwrap0                 7.6.q-18        Wietse Venema's TCP wrappers libra
ii  lsb-base                 3.2-23          Linux Standard Base 3.2 init scrip
ii  netbase                  4.40            Basic TCP/IP networking system
ii  portmap                  6.0.0-1         RPC port mapper
ii  rpcbind                  0.2.0-2         converts RPC program numbers into 
ii  ucf                      3.0025          Update Configuration File: preserv

nfs-common recommends no packages.

nfs-common suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Mon, 04 Jan 2010 14:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@sirena.org.uk>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 04 Jan 2010 14:48:05 GMT) Full text and rfc822 format available.

Message #80 received at 562757@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@sirena.org.uk>
To: Anibal Monsalve Salazar <anibal@debian.org>, debian-release@lists.debian.org
Cc: 562757@bugs.debian.org, debian-devel@lists.debian.org
Subject: Apparent portmap to rpcbind transition?
Date: Mon, 4 Jan 2010 14:45:27 +0000
As discussed by a number of people in bug #562757 it appears that
nfs-kernel-server has kicked off a transition to the use of rpcbind - at
least, nfs-kernel-server has switched to needing rpcbind and we can't
have two things claiming the portmap port.  Since a number of packages
currently rely on portmap (list based on rdepends below) this is likely
to require a transition of some kind.

I've not seen any discussion of how this is supposed to work, or any
mention of the planned transition before it broke my systems.  There's
quite a few bugs in ONCRPC related packages related to the current state
but none of them seem to have a summary of what the intention is - does
anyone have any information here?

Daniel Baumann <daniel@debian.org>
   doodle (U)

Mark Brown <broonie@debian.org>
   nis

Tim Cutts <timc@chiark.greenend.org.uk>
   am-utils

Debian QA Group <packages@qa.debian.org>
   unfs3

Alberto Gonzalez Iniesta <agi@inittab.org>
   netkit-bootparamd
   netkit-rusers
   netkit-rwall

Noèl Köthe <noel@debian.org>
   drac

Chuan-kai Lin <cklin@debian.org>
   fam

Robert Luberda <robert@debian.org>
   rlinetd

Ola Lundqvist <opal@debian.org>
   harden

Debian GNUnet Maintainers <gnunet@lists.debian-maintainers.org>
   doodle

Michael Meskes <meskes@debian.org>
   quota

Anibal Monsalve Salazar <anibal@debian.org>
   nfs-utils
   rstatd

Miquel van Smoorenburg <miquels@cistron.nl>
   nis (U)

Geert Stappers <stappers@debian.org>
   p3nfs





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Wed, 06 Jan 2010 20:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 06 Jan 2010 20:33:10 GMT) Full text and rfc822 format available.

Message #85 received at 562757@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: 562729@bugs.debian.org, 562757@bugs.debian.org, 562910@bugs.debian.org
Subject: nfs-utils: diff for NMU version 1:1.2.1-1.1
Date: Wed, 6 Jan 2010 21:30:30 +0100
[Message part 1 (text/plain, inline)]
tags 562729 + patch
tags 562757 + patch
tags 562910 + patch
thanks

Hi, 

I hunted this bug down to somewhere into the libtirpc library (I
guess the lib is ok, as rpcbind also uses it). Disabling it makes the
bug going away, as the usage of libtirpc is optional I decided to
disable it for the NMU to fix nfs in unstable. 

I'll let any further steps to the maintainer. 

I've prepared an NMU for nfs-utils (versioned as 1:1.2.1-1.1) and
uploaded it to DELAYED/1. 

Thanks

Alex
[nfs-utils-1.2.1-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Alexander Wirt <formorer@debian.org> to control@bugs.debian.org. (Wed, 06 Jan 2010 20:33:25 GMT) Full text and rfc822 format available.

Reply sent to Alexander Wirt <formorer@debian.org>:
You have taken responsibility. (Thu, 07 Jan 2010 22:18:06 GMT) Full text and rfc822 format available.

Notification sent to Waba <waba@waba.be>:
Bug acknowledged by developer. (Thu, 07 Jan 2010 22:18:06 GMT) Full text and rfc822 format available.

Message #92 received at 562757-close@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: 562757-close@bugs.debian.org
Subject: Bug#562757: fixed in nfs-utils 1:1.2.1-1.1
Date: Thu, 07 Jan 2010 22:12:07 +0000
Source: nfs-utils
Source-Version: 1:1.2.1-1.1

We believe that the bug you reported is fixed in the latest version of
nfs-utils, which is due to be installed in the Debian FTP archive:

nfs-common_1.2.1-1.1_amd64.deb
  to main/n/nfs-utils/nfs-common_1.2.1-1.1_amd64.deb
nfs-kernel-server_1.2.1-1.1_amd64.deb
  to main/n/nfs-utils/nfs-kernel-server_1.2.1-1.1_amd64.deb
nfs-utils_1.2.1-1.1.debian.tar.bz2
  to main/n/nfs-utils/nfs-utils_1.2.1-1.1.debian.tar.bz2
nfs-utils_1.2.1-1.1.dsc
  to main/n/nfs-utils/nfs-utils_1.2.1-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562757@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Wirt <formorer@debian.org> (supplier of updated nfs-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 06 Jan 2010 20:26:54 +0100
Source: nfs-utils
Binary: nfs-kernel-server nfs-common
Architecture: source amd64
Version: 1:1.2.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Alexander Wirt <formorer@debian.org>
Description: 
 nfs-common - NFS support files common to client and server
 nfs-kernel-server - support for NFS kernel server
Closes: 562729 562757 562910
Changes: 
 nfs-utils (1:1.2.1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Disable tirpc (Closes: #562729, #562757, #562910)
Checksums-Sha1: 
 f8fcb80bd0b7621a57086e52ecfa5b5602342cca 1230 nfs-utils_1.2.1-1.1.dsc
 bdcfa9df88c73df6380e39eceb0340b83c4b6afc 38044 nfs-utils_1.2.1-1.1.debian.tar.bz2
 a85f2df3761d6a8cf3612bed114bb4e61697182f 167436 nfs-kernel-server_1.2.1-1.1_amd64.deb
 fa580efe7cd90dd0429d5d89e40d9ff48046db0b 221904 nfs-common_1.2.1-1.1_amd64.deb
Checksums-Sha256: 
 026a05052cfce563ff4431c313dbfc0de6eebb438ec980321180f8e658936c83 1230 nfs-utils_1.2.1-1.1.dsc
 c0040a7df3c6e4a2551fd4b333f14a0567426101388f6f4d4aca9e0f5538dfa4 38044 nfs-utils_1.2.1-1.1.debian.tar.bz2
 439ae90e83e29f2d5585a7d6524839496877346ca6539ab91b076c204c0a3b6c 167436 nfs-kernel-server_1.2.1-1.1_amd64.deb
 b644598f0022b67d10e66773e1d08ab3b11cc73291466841aaa4d222cc5e5791 221904 nfs-common_1.2.1-1.1_amd64.deb
Files: 
 2970d5d3ffa972185561d4446ea9867f 1230 net standard nfs-utils_1.2.1-1.1.dsc
 ff7e241b9506a7806c334c0123c00360 38044 net standard nfs-utils_1.2.1-1.1.debian.tar.bz2
 d282fee16ac06fb1293e8fb817121fc0 167436 net optional nfs-kernel-server_1.2.1-1.1_amd64.deb
 422d92558131da4a5f1de776bcf11e0f 221904 net standard nfs-common_1.2.1-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktE5bcACgkQ01u8mbx9AgpaPwCgv3YfOuUxddVkE4+zuvN9/izL
mE0AniY12pfhOMxu6YXBKt5M2+KZuMKO
=m5zC
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Wed, 20 Jan 2010 18:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 20 Jan 2010 18:51:09 GMT) Full text and rfc822 format available.

Message #97 received at 562757@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Anibal Monsalve Salazar <anibal@debian.org>, debian-release@lists.debian.org, 562757@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Apparent portmap to rpcbind transition?
Date: Wed, 20 Jan 2010 18:49:07 +0000
On Mon, Jan 04, 2010 at 02:45:27PM +0000, Mark Brown wrote:
> As discussed by a number of people in bug #562757 it appears that
> nfs-kernel-server has kicked off a transition to the use of rpcbind - at
> least, nfs-kernel-server has switched to needing rpcbind and we can't
> have two things claiming the portmap port.  Since a number of packages
> currently rely on portmap (list based on rdepends below) this is likely
> to require a transition of some kind.

> I've not seen any discussion of how this is supposed to work, or any
> mention of the planned transition before it broke my systems.  There's
> quite a few bugs in ONCRPC related packages related to the current state
> but none of them seem to have a summary of what the intention is - does
> anyone have any information here?

Any updates on this?  Are we switching portmappers, and if we are how
are we doing so?




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#562757; Package nfs-common. (Wed, 20 Jan 2010 19:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 20 Jan 2010 19:12:04 GMT) Full text and rfc822 format available.

Message #102 received at 562757@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: debian-release@lists.debian.org, 562757@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Apparent portmap to rpcbind transition?
Date: Thu, 21 Jan 2010 08:07:34 +1300
[Message part 1 (text/plain, inline)]
On Wed, Jan 20, 2010 at 06:49:07PM +0000, Mark Brown wrote:
>On Mon, Jan 04, 2010 at 02:45:27PM +0000, Mark Brown wrote:
>>As discussed by a number of people in bug #562757 it appears that
>>nfs-kernel-server has kicked off a transition to the use of rpcbind -
>>at least, nfs-kernel-server has switched to needing rpcbind and we
>>can't have two things claiming the portmap port.  Since a number of
>>packages currently rely on portmap (list based on rdepends below) this
>>is likely to require a transition of some kind.
>>
>>I've not seen any discussion of how this is supposed to work, or any
>>mention of the planned transition before it broke my systems.  There's
>>quite a few bugs in ONCRPC related packages related to the current
>>state but none of them seem to have a summary of what the intention is
>>- does anyone have any information here?
>
>Any updates on this?  Are we switching portmappers, and if we are how
>are we doing so?

Not yet, as I'm busy at LCA2010 in Wellington, New Zealand. I would like
to replace portmap with rpcbind. Uploadind rpcbind was a first step.
I'll be working on the plan after LCA2010.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Feb 2010 07:37:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:20:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.